# $Revision: 1.6 $, $Date: 2002/08/11 10:27:08 $
Summary:	Unix port of Borland TurboVision library
Summary(pl):	Uniksowa wersja biblioteki TurboVision Borlanda
Name:		librhtv
Version:	1.1.4
Release:	2
License:	Borland, some modifications are BSD-like licensed (generally free)
Group:		Libraries
Source0:	http://prdownloads.sourceforge.net/setedit/rhtvision-%{version}.src.tar.gz
Patch0:		%{name}-nostrip.patch
Patch1:		%{name}-nolowlevelgarbage.patch
BuildRequires:	gcc-c++
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
BuildRequires:	perl
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Turbo Vision (or TV, for short) is a library that provides an
application framework. With TV you can write a beautiful
object-oriented character-mode user interface in a short time.

TV is available in C++ and Pascal and is a product of Borland
International. It was developed to run on MS-DOS systems, but today it
is available for many other platforms (ported by independent
programmers).

This port is based on the Borland 2.0 version with fixes.

%description -l pl
Uniksowa wersja biblioteki TurboVision 2.0 Borlanda. TurboVision jest
obiektow bibliotek do okienkowych interfejsw uytkownika w trybie
tekstowym.

%package devel
Summary:	%{name} header files
Summary(pl):	Pliki nagwkowe %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
rhtvision header files.

%description devel -l pl
Pliki nagwkowe rhtvision.

%package static
Summary:	Static %{name} libraries
Summary(pl):	Biblioteki statyczne %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static rhtvision libraries.

%description static -l pl
Biblioteki statyczne rhtvision.

%prep
%setup -q -n tvision
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=%{_prefix} \
	--cflags="-I/usr/include/ncurses"

sed 's|<sys/time.h>|<time.h>|' examples/demo/puzzle.cc > examples/demo/puzzle.cc.tmp
mv -f examples/demo/puzzle.cc.tmp examples/demo/puzzle.cc

%{__make} \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-implicit-templates"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix}

# let's create new rhide.env
cat > examples/rhide.env  <<EOF
RHIDE_GCC=gcc
RHIDE_GXX=gcc
RHIDE_LD=gcc
RHIDE_AR=ar
RHIDE_OS_CFLAGS=-I%{_includedir}/ncurses
RHIDE_OS_CXXFLAGS=-I%{_includedir}/ncurses

TVSRC=%{_includedir}/rhtvision
RHIDE_OS_LIBS=
TVOBJ=
EOF

cd examples
perl patchenv.pl
cd ..

cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt TODO borland.txt
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%dir %{_examplesdir}/%{name}
%{_examplesdir}/%{name}/*

%files static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: librhtv.spec,v $
Revision 1.6  2002/08/11 10:27:08  qboosh
- nostrip patch to remove stripping during install (debug ready now)
- nolowlevelgarbage patch to disable utter garbage called 386LowLevel
- release 2

Revision 1.5  2002/08/08 16:09:21  qboosh
- new %%doc

Revision 1.4  2002/03/27 11:53:21  roman
s/BSD-style/BSD-like

Revision 1.3  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.2  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/07 11:19:08  qboosh
- renamed rhtvision.spec to librhtv.spec (according to Name)
- cleanups, cosmetics

Revision 1.3  2002/02/06 08:53:20  juandon
- added XFree86-devel to BuildRequires

Revision 1.2  2002/02/04 19:19:59  juandon
- removed -fno-rtti, now works
- Please, STB

Revision 1.1  2002/02/04 17:23:48  juandon
- initial Release
- Unfortunately any examples doesn't link for me
